cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pdion...@apache.org
Subject [48/50] [abbrv] cloudstack-docs-rn git commit: fix new theme look and feel
Date Sun, 12 Apr 2015 22:59:53 GMT
http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/c0279ccc/source/upgrade/upgrade-4.2.rst
----------------------------------------------------------------------
diff --git a/source/upgrade/upgrade-4.2.rst b/source/upgrade/upgrade-4.2.rst
index 7ba3217..8a3238d 100644
--- a/source/upgrade/upgrade-4.2.rst
+++ b/source/upgrade/upgrade-4.2.rst
@@ -127,23 +127,23 @@ be necessary for hosts that are running VMware or Xen.)
 CloudStack apt repository
 ^^^^^^^^^^^^^^^^^^^^^^^^^
 
-   Start by opening ``/etc/apt/sources.list.d/cloudstack.list`` on
-   any systems that have CloudStack packages installed.
-   
-   This file should have one line, which contains:
-   
-   .. sourcecode:: bash
-   
-      deb http://cloudstack.apt-get.eu/ubuntu precise 4.2
-   
-   We'll change it to point to the new package repository:
-   
-   .. sourcecode:: bash
-   
-      deb http://cloudstack.apt-get.eu/ubuntu precise 4.5
-   
-   If you're using your own package repository, change this line to
-   read as appropriate for your |version| repository.
+Start by opening ``/etc/apt/sources.list.d/cloudstack.list`` on
+any systems that have CloudStack packages installed.
+
+This file should have one line, which contains:
+
+.. sourcecode:: bash
+
+   deb http://cloudstack.apt-get.eu/ubuntu precise 4.2
+
+We'll change it to point to the new package repository:
+
+.. sourcecode:: bash
+
+   deb http://cloudstack.apt-get.eu/ubuntu precise 4.5
+
+If you're using your own package repository, change this line to
+read as appropriate for your |version| repository.
 
 #. Now update your apt package list:
 
@@ -184,31 +184,31 @@ packages. If not, skip to hypervisors section, then :ref:`upg-sysvm42`.
 CloustStack RPM repository
 ^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-   The first order of business will be to change the yum repository
-   for each system with CloudStack packages. This means all
-   management servers, and any hosts that have the KVM agent.
+The first order of business will be to change the yum repository
+for each system with CloudStack packages. This means all
+management servers, and any hosts that have the KVM agent.
 
-   (No changes should be necessary for hosts that are running VMware
-   or Xen.)
+(No changes should be necessary for hosts that are running VMware
+or Xen.)
 
-   Start by opening ``/etc/yum.repos.d/cloudstack.repo`` on any
-   systems that have CloudStack packages installed.
+Start by opening ``/etc/yum.repos.d/cloudstack.repo`` on any
+systems that have CloudStack packages installed.
 
-   This file should have content similar to the following:
+This file should have content similar to the following:
 
-   .. sourcecode:: bash
+.. sourcecode:: bash
 
-      [apache-cloudstack]
-      name=Apache CloudStack
-      baseurl=http://cloudstack.apt-get.eu/rhel/4.2/
-      enabled=1
-      gpgcheck=0
+   [apache-cloudstack]
+   name=Apache CloudStack
+   baseurl=http://cloudstack.apt-get.eu/rhel/4.2/
+   enabled=1
+   gpgcheck=0
 
-   If you are using the community provided package repository, change
-   the base url to ``http://cloudstack.apt-get.eu/rhel/4.5/``
+If you are using the community provided package repository, change
+the base url to ``http://cloudstack.apt-get.eu/rhel/4.5/``
 
-   If you're using your own package repository, change this line to
-   read as appropriate for your |version| repository.
+If you're using your own package repository, change this line to
+read as appropriate for your |version| repository.
 
 #. Now that you have the repository configured, it's time to upgrade the 
    ``cloudstack-management``.
@@ -227,27 +227,27 @@ CloustStack RPM repository
 Hypervisor: Xen/XenServer
 -------------------------
 
-   **(XenServer only)** Copy vhd-utils file on CloudStack management servers.
-   Copy the file `vhd-utils <http://download.cloud.com.s3.amazonaws.com/tools/vhd-util>`_

-   to ``/usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver``.
+**(XenServer only)** Copy vhd-utils file on CloudStack management servers.
+Copy the file `vhd-utils <http://download.cloud.com.s3.amazonaws.com/tools/vhd-util>`_

+to ``/usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver``.
 
-   .. sourcecode:: bash
+.. sourcecode:: bash
 
-      wget -P /usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver \
-      http://download.cloud.com.s3.amazonaws.com/tools/vhd-util
+   wget -P /usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver \
+   http://download.cloud.com.s3.amazonaws.com/tools/vhd-util
 
 
 Hypervisor: VMware
 ------------------
 
-   .. warning::
-      For VMware hypervisor CloudStack management server packages must be 
-      build using "noredist". Refer to `Building from Source 
-      <http://docs.cloudstack.apache.org/projects/cloudstack-installation/en/latest/building_from_source.html>`_.
+.. warning::
+   For VMware hypervisor CloudStack management server packages must be 
+   build using "noredist". Refer to `Building from Source 
+   <http://docs.cloudstack.apache.org/projects/cloudstack-installation/en/latest/building_from_source.html>`_.
 
-   **(VMware only)** Additional steps are required for each VMware cluster.
-   These steps will not affect running guests in the cloud. These steps
-   are required only for clouds using VMware clusters:
+**(VMware only)** Additional steps are required for each VMware cluster.
+These steps will not affect running guests in the cloud. These steps
+are required only for clouds using VMware clusters:
 
 #. Stop the Management Server:
 

http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/c0279ccc/source/upgrade/upgrade-4.3.rst
----------------------------------------------------------------------
diff --git a/source/upgrade/upgrade-4.3.rst b/source/upgrade/upgrade-4.3.rst
index 8e8b1d0..7fe279f 100644
--- a/source/upgrade/upgrade-4.3.rst
+++ b/source/upgrade/upgrade-4.3.rst
@@ -130,23 +130,23 @@ be necessary for hosts that are running VMware or Xen.)
 CloudStack apt repository
 ^^^^^^^^^^^^^^^^^^^^^^^^^
 
-   Start by opening ``/etc/apt/sources.list.d/cloudstack.list`` on
-   any systems that have CloudStack packages installed.
-   
-   This file should have one line, which contains:
-   
-   .. sourcecode:: bash
-   
-      deb http://cloudstack.apt-get.eu/ubuntu precise 4.3
-   
-   We'll change it to point to the new package repository:
-   
-   .. sourcecode:: bash
-   
-      deb http://cloudstack.apt-get.eu/ubuntu precise 4.5
-   
-   If you're using your own package repository, change this line to
-   read as appropriate for your |version| repository.
+Start by opening ``/etc/apt/sources.list.d/cloudstack.list`` on
+any systems that have CloudStack packages installed.
+
+This file should have one line, which contains:
+
+.. sourcecode:: bash
+
+   deb http://cloudstack.apt-get.eu/ubuntu precise 4.3
+
+We'll change it to point to the new package repository:
+
+.. sourcecode:: bash
+
+   deb http://cloudstack.apt-get.eu/ubuntu precise 4.5
+
+If you're using your own package repository, change this line to
+read as appropriate for your |version| repository.
 
 #. Now update your apt package list:
 
@@ -187,31 +187,31 @@ packages. If not, skip to hypervisors section, then :ref:`upg-sysvm43`.
 CloudStack RPM repository
 ^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-   The first order of business will be to change the yum repository
-   for each system with CloudStack packages. This means all
-   management servers, and any hosts that have the KVM agent.
+The first order of business will be to change the yum repository
+for each system with CloudStack packages. This means all
+management servers, and any hosts that have the KVM agent.
 
-   (No changes should be necessary for hosts that are running VMware
-   or Xen.)
+(No changes should be necessary for hosts that are running VMware
+or Xen.)
 
-   Start by opening ``/etc/yum.repos.d/cloudstack.repo`` on any
-   systems that have CloudStack packages installed.
+Start by opening ``/etc/yum.repos.d/cloudstack.repo`` on any
+systems that have CloudStack packages installed.
 
-   This file should have content similar to the following:
+This file should have content similar to the following:
 
-   .. sourcecode:: bash
+.. sourcecode:: bash
 
-      [apache-cloudstack]
-      name=Apache CloudStack
-      baseurl=http://cloudstack.apt-get.eu/rhel/4.3/
-      enabled=1
-      gpgcheck=0
+   [apache-cloudstack]
+   name=Apache CloudStack
+   baseurl=http://cloudstack.apt-get.eu/rhel/4.3/
+   enabled=1
+   gpgcheck=0
 
-   If you are using the community provided package repository, change
-   the base url to ``http://cloudstack.apt-get.eu/rhel/4.5/``
+If you are using the community provided package repository, change
+the base url to ``http://cloudstack.apt-get.eu/rhel/4.5/``
 
-   If you're using your own package repository, change this line to
-   read as appropriate for your |version| repository.
+If you're using your own package repository, change this line to
+read as appropriate for your |version| repository.
 
 
 #. Now that you have the repository configured, it's time to upgrade the 
@@ -231,27 +231,27 @@ CloudStack RPM repository
 Hypervisor: XenServer
 ---------------------
 
-   **(XenServer only)** Copy vhd-utils file on CloudStack management servers.
-   Copy the file `vhd-utils <http://download.cloud.com.s3.amazonaws.com/tools/vhd-util>`_

-   to ``/usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver``.
+**(XenServer only)** Copy vhd-utils file on CloudStack management servers.
+Copy the file `vhd-utils <http://download.cloud.com.s3.amazonaws.com/tools/vhd-util>`_

+to ``/usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver``.
 
-   .. sourcecode:: bash
+.. sourcecode:: bash
 
-      wget -P /usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver \
-      http://download.cloud.com.s3.amazonaws.com/tools/vhd-util
+   wget -P /usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver \
+   http://download.cloud.com.s3.amazonaws.com/tools/vhd-util
 
 
 Hypervisor: VMware
 ------------------
 
-   .. warning::
-      For VMware hypervisor CloudStack management server packages must be 
-      build using "noredist". Refer to `Building from Source 
-      <http://docs.cloudstack.apache.org/projects/cloudstack-installation/en/latest/building_from_source.html>`_.
+.. warning::
+   For VMware hypervisor CloudStack management server packages must be 
+   build using "noredist". Refer to `Building from Source 
+   <http://docs.cloudstack.apache.org/projects/cloudstack-installation/en/latest/building_from_source.html>`_.
 
-   **(VMware only)** Additional steps are required for each VMware cluster.
-   These steps will not affect running guests in the cloud. These steps
-   are required only for clouds using VMware clusters:
+**(VMware only)** Additional steps are required for each VMware cluster.
+These steps will not affect running guests in the cloud. These steps
+are required only for clouds using VMware clusters:
 
 #. Stop the Management Server:
 

http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/c0279ccc/source/upgrade/upgrade-4.4.rst
----------------------------------------------------------------------
diff --git a/source/upgrade/upgrade-4.4.rst b/source/upgrade/upgrade-4.4.rst
index 9d1ef6a..faf7c8c 100644
--- a/source/upgrade/upgrade-4.4.rst
+++ b/source/upgrade/upgrade-4.4.rst
@@ -1,17 +1,17 @@
 .. Licensed to the Apache Software Foundation (ASF) under one
-	or more contributor license agreements.  See the NOTICE file
-	distributed with this work for additional information#
-	regarding copyright ownership.  The ASF licenses this file
-	to you under the Apache License, Version 2.0 (the
-	"License"); you may not use this file except in compliance
-	with the License.  You may obtain a copy of the License at
-	http://www.apache.org/licenses/LICENSE-2.0
-	Unless required by applicable law or agreed to in writing,
-	software distributed under the License is distributed on an
-	"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-	KIND, either express or implied.  See the License for the
-	specific language governing permissions and limitations
-	under the License.
+   or more contributor license agreements.  See the NOTICE file
+   distributed with this work for additional information#
+   regarding copyright ownership.  The ASF licenses this file
+   to you under the Apache License, Version 2.0 (the
+   "License"); you may not use this file except in compliance
+   with the License.  You may obtain a copy of the License at
+   http://www.apache.org/licenses/LICENSE-2.0
+   Unless required by applicable law or agreed to in writing,
+   software distributed under the License is distributed on an
+   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+   KIND, either express or implied.  See the License for the
+   specific language governing permissions and limitations
+   under the License.
 
 
 .. |version_to_upgrade| replace:: 4.4.x
@@ -29,8 +29,8 @@ your upgrade procedure, and working through it on a test system before
 working on a production system.
 
 .. note:: 
-	The following upgrade instructions should be performed regardless of 
-	hypervisor type.
+   The following upgrade instructions should be performed regardless of 
+   hypervisor type.
 
 Upgrade Steps:
 
@@ -67,43 +67,44 @@ Database Preparation
 Backup current database
 
 #. Stop your management server or servers. Run this on all management
-	server hosts:
+   server hosts:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo service cloudstack-management stop
+      $ sudo service cloudstack-management stop
 
 #. If you are running a usage server or usage servers, stop those as well:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
+
+      $ sudo service cloudstack-usage stop
 
-		$ sudo service cloudstack-usage stop
 
 #. Make a backup of your MySQL database. If you run into any issues or
-	need to roll back the upgrade, this will assist in debugging or
-	restoring your existing environment. You'll be prompted for your
-	password.
+   need to roll back the upgrade, this will assist in debugging or
+   restoring your existing environment. You'll be prompted for your
+   password.
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ mysqldump -u root -p cloud > cloud-backup_`date '+%Y-%m-%d'`.sql
-		$ mysqldump -u root -p cloud_usage > cloud_usage-backup_`date '+%Y-%m-%d'`.sql
+      $ mysqldump -u root -p cloud > cloud-backup_`date '+%Y-%m-%d'`.sql
+      $ mysqldump -u root -p cloud_usage > cloud_usage-backup_`date '+%Y-%m-%d'`.sql
 
 #. **(KVM Only)** If primary storage of type local storage is in use, the
-	path for this storage needs to be verified to ensure it passes new
-	validation. Check local storage by querying the cloud.storage\_pool
-	table:
+   path for this storage needs to be verified to ensure it passes new
+   validation. Check local storage by querying the cloud.storage\_pool
+   table:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ mysql -u cloud -p -e "select id,name,path from cloud.storage_pool where pool_type='Filesystem'"
+      $ mysql -u cloud -p -e "select id,name,path from cloud.storage_pool where pool_type='Filesystem'"
 
-	If local storage paths are found to have a trailing forward slash,
-	remove it:
+   If local storage paths are found to have a trailing forward slash,
+   remove it:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ mysql -u cloud -p -e 'update cloud.storage_pool set path="/var/lib/libvirt/images" where
path="/var/lib/libvirt/images/"';
+      $ mysql -u cloud -p -e 'update cloud.storage_pool set path="/var/lib/libvirt/images"
where path="/var/lib/libvirt/images/"';
 
 
 .. _ubuntu44:
@@ -115,9 +116,9 @@ If you are using Ubuntu, follow this procedure to upgrade your packages.
If
 not, skip to step :ref:`rhel44`.
 
 .. note:: 
-	**Community Packages:** This section assumes you're using the community 
-	supplied packages for CloudStack. If you've created your own packages and 
-	APT repository, substitute your own URL for the ones used in these examples.
+   **Community Packages:** This section assumes you're using the community 
+   supplied packages for CloudStack. If you've created your own packages and 
+   APT repository, substitute your own URL for the ones used in these examples.
 
 The first order of business will be to change the sources list for
 each system with CloudStack packages. This means all management
@@ -130,42 +131,42 @@ be necessary for hosts that are running VMware or Xen.)
 CloudStack apt repository
 ^^^^^^^^^^^^^^^^^^^^^^^^^
 
-	Start by opening ``/etc/apt/sources.list.d/cloudstack.list`` on
-	any systems that have CloudStack packages installed.
-	
-	This file should have one line, which contains:
-	
-	.. sourcecode:: bash
-	
-		deb http://cloudstack.apt-get.eu/ubuntu precise 4.4
-	
-	We'll change it to point to the new package repository:
-	
-	.. sourcecode:: bash
-	
-		deb http://cloudstack.apt-get.eu/ubuntu precise 4.5
-	
-	If you're using your own package repository, change this line to
-	read as appropriate for your |version| repository.
+Start by opening ``/etc/apt/sources.list.d/cloudstack.list`` on
+any systems that have CloudStack packages installed.
+
+This file should have one line, which contains:
+
+.. sourcecode:: bash
+
+   deb http://cloudstack.apt-get.eu/ubuntu precise 4.4
+
+We'll change it to point to the new package repository:
+
+.. sourcecode:: bash
+
+   deb http://cloudstack.apt-get.eu/ubuntu precise 4.5
+
+If you're using your own package repository, change this line to
+read as appropriate for your |version| repository.
 
 #. Now update your apt package list:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo apt-get update
+      $ sudo apt-get update
 
 #. Now that you have the repository configured, it's time to upgrade
-	the ``cloudstack-management`` package. 
+   the ``cloudstack-management`` package. 
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo apt-get upgrade cloudstack-management
+      $ sudo apt-get upgrade cloudstack-management
 
 #. If you use CloudStack usage server
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo apt-get upgrade cloudstack-usage
+      $ sudo apt-get upgrade cloudstack-usage
 
 
 .. _rhel44:
@@ -177,9 +178,9 @@ If you are using CentOS or RHEL, follow this procedure to upgrade your
 packages. If not, skip to hypervisors section, then :ref:`upg-sysvm44`.
 
 .. note:: 
-	**Community Packages:** This section assumes you're using the community 
-	supplied packages for CloudStack. If you've created your own packages and 
-	yum repository, substitute your own URL for the ones used in these examples.
+   **Community Packages:** This section assumes you're using the community 
+   supplied packages for CloudStack. If you've created your own packages and 
+   yum repository, substitute your own URL for the ones used in these examples.
 
 
 .. _rpm-repo44:
@@ -187,129 +188,129 @@ packages. If not, skip to hypervisors section, then :ref:`upg-sysvm44`.
 CloudStack RPM repository
 ^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-	The first order of business will be to change the yum repository
-	for each system with CloudStack packages. This means all
-	management servers, and any hosts that have the KVM agent.
+The first order of business will be to change the yum repository
+for each system with CloudStack packages. This means all
+management servers, and any hosts that have the KVM agent.
 
-	(No changes should be necessary for hosts that are running VMware
-	or Xen.)
+(No changes should be necessary for hosts that are running VMware
+or Xen.)
 
-	Start by opening ``/etc/yum.repos.d/cloudstack.repo`` on any
-	systems that have CloudStack packages installed.
+Start by opening ``/etc/yum.repos.d/cloudstack.repo`` on any
+systems that have CloudStack packages installed.
 
-	This file should have content similar to the following:
+This file should have content similar to the following:
 
-	.. sourcecode:: bash
+.. sourcecode:: bash
 
-		[apache-cloudstack]
-		name=Apache CloudStack
-		baseurl=http://cloudstack.apt-get.eu/rhel/4.4/
-		enabled=1
-		gpgcheck=0
+   [apache-cloudstack]
+   name=Apache CloudStack
+   baseurl=http://cloudstack.apt-get.eu/rhel/4.4/
+   enabled=1
+   gpgcheck=0
 
-	If you are using the community provided package repository, change
-	the base url to ``http://cloudstack.apt-get.eu/rhel/4.5/``
+If you are using the community provided package repository, change
+the base url to ``http://cloudstack.apt-get.eu/rhel/4.5/``
 
-	If you're using your own package repository, change this line to
-	read as appropriate for your |version| repository.
+If you're using your own package repository, change this line to
+read as appropriate for your |version| repository.
 
 
 #. Now that you have the repository configured, it's time to upgrade the 
-	``cloudstack-management``.
+   ``cloudstack-management``.
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo yum upgrade cloudstack-management
+      $ sudo yum upgrade cloudstack-management
 
 #. If you use CloudStack usage server
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo yum upgrade cloudstack-usage
+      $ sudo yum upgrade cloudstack-usage
 
 
 Hypervisor: XenServer
 ---------------------
 
-	**(XenServer only)** Copy vhd-utils file on CloudStack management servers.
-	Copy the file `vhd-utils <http://download.cloud.com.s3.amazonaws.com/tools/vhd-util>`_

-	to ``/usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver``.
+**(XenServer only)** Copy vhd-utils file on CloudStack management servers.
+Copy the file `vhd-utils <http://download.cloud.com.s3.amazonaws.com/tools/vhd-util>`_

+to ``/usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver``.
 
-	.. sourcecode:: bash
+.. sourcecode:: bash
 
-		wget -P /usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver \
-		http://download.cloud.com.s3.amazonaws.com/tools/vhd-util
+   wget -P /usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver \
+   http://download.cloud.com.s3.amazonaws.com/tools/vhd-util
 
 
 Hypervisor: VMware
 ------------------
 
-	.. warning::
-		For VMware hypervisor CloudStack management server packages must be 
-		build using "noredist". Refer to `Building from Source 
-		<http://docs.cloudstack.apache.org/projects/cloudstack-installation/en/latest/building_from_source.html>`_.
+.. warning::
+   For VMware hypervisor CloudStack management server packages must be 
+   build using "noredist". Refer to `Building from Source 
+   <http://docs.cloudstack.apache.org/projects/cloudstack-installation/en/latest/building_from_source.html>`_.
 
-	**(VMware only)** Additional steps are required for each VMware cluster.
-	These steps will not affect running guests in the cloud. These steps
-	are required only for clouds using VMware clusters:
+**(VMware only)** Additional steps are required for each VMware cluster.
+These steps will not affect running guests in the cloud. These steps
+are required only for clouds using VMware clusters:
 
 #. Stop the Management Server:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo service cloudstack-management stop
+      $ sudo service cloudstack-management stop
 
 #. Generate the encrypted equivalent of your vCenter password:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ java -classpath /usr/share/cloudstack-common/lib/jasypt-1.9.0.jar org.jasypt.intf.cli.JasyptPBEStringEncryptionCLI
encrypt.sh input="_your_vCenter_password_" password="`cat /etc/cloudstack/management/key`"
verbose=false
+      $ java -classpath /usr/share/cloudstack-common/lib/jasypt-1.9.0.jar org.jasypt.intf.cli.JasyptPBEStringEncryptionCLI
encrypt.sh input="_your_vCenter_password_" password="`cat /etc/cloudstack/management/key`"
verbose=false
 
-	Store the output from this step, we need to add this in
-	cluster\_details table and vmware\_data\_center tables in place of
-	the plain text password
+   Store the output from this step, we need to add this in
+   cluster\_details table and vmware\_data\_center tables in place of
+   the plain text password
 
 #. Find the ID of the row of cluster\_details table that you have to
-	update:
+   update:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ mysql -u <username> -p<password>
+      $ mysql -u <username> -p<password>
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		select * from cloud.cluster_details;
+      select * from cloud.cluster_details;
 
 #. Update the plain text password with the encrypted one
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		update cloud.cluster_details set value = '_ciphertext_from_step_1_' where id = _id_from_step_2_;
+      update cloud.cluster_details set value = '_ciphertext_from_step_1_' where id = _id_from_step_2_;
 
 #. Confirm that the table is updated:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		select * from cloud.cluster_details;
+      select * from cloud.cluster_details;
 
 #. Find the ID of the correct row of vmware\_data\_center that you
-	want to update
+   want to update
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		select * from cloud.vmware_data_center;
+      select * from cloud.vmware_data_center;
 
 #. update the plain text password with the encrypted one:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		update cloud.vmware_data_center set password = '_ciphertext_from_step_1_' where id = _id_from_step_5_;
+      update cloud.vmware_data_center set password = '_ciphertext_from_step_1_' where id
= _id_from_step_5_;
 
 #. Confirm that the table is updated:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		select * from cloud.vmware_data_center;
+      select * from cloud.vmware_data_center;
 
 
 .. _kvm44:
@@ -329,30 +330,30 @@ hosts.
 
 #. Stop the running agent.
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo service cloudstack-agent stop
+      $ sudo service cloudstack-agent stop
 
 #. Update the agent software.
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo apt-get upgrade cloudstack-agent
+      $ sudo apt-get upgrade cloudstack-agent
 
 #. Verify that the file ``/etc/cloudstack/agent/environment.properties`` has a 
-	line that reads:
+   line that reads:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		paths.script=/usr/share/cloudstack-common
+      paths.script=/usr/share/cloudstack-common
 
-	If not, add the line.
+   If not, add the line.
 
 #. Start the agent.
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo service cloudstack-agent start
+      $ sudo service cloudstack-agent start
 
 
 KVM on CentOS/RHEL
@@ -361,26 +362,26 @@ For KVM hosts, upgrade the ``cloudstack-agent`` package
 
 #. Configure the :ref:`rpm-repo44` as detailed above.
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo yum upgrade cloudstack-agent
+      $ sudo yum upgrade cloudstack-agent
 
 #. Verify that the file ``/etc/cloudstack/agent/environment.properties`` has a 
-	line that reads:
+   line that reads:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		paths.script=/usr/share/cloudstack-common
+      paths.script=/usr/share/cloudstack-common
 
-	If not, add the line.
+   If not, add the line.
 
 #. Restart the agent:
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo service cloudstack-agent stop
-		$ sudo killall jsvc
-		$ sudo service cloudstack-agent start
+      $ sudo service cloudstack-agent stop
+      $ sudo killall jsvc
+      $ sudo service cloudstack-agent start
 
 
 Restart management services
@@ -399,15 +400,15 @@ Restart management services
 
 #. Now it's time to start the management server
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo service cloudstack-management start
+      $ sudo service cloudstack-management start
 
 #. If you use it, start the usage server
 
-	.. sourcecode:: bash
+   .. sourcecode:: bash
 
-		$ sudo service cloudstack-usage start
+      $ sudo service cloudstack-usage start
 
 
 .. _upg-sysvm44:

http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/c0279ccc/sphinx_bootstrap_theme/__init__.pyc
----------------------------------------------------------------------
diff --git a/sphinx_bootstrap_theme/__init__.pyc b/sphinx_bootstrap_theme/__init__.pyc
index b669ab6..54a2912 100644
Binary files a/sphinx_bootstrap_theme/__init__.pyc and b/sphinx_bootstrap_theme/__init__.pyc
differ


Mime
View raw message